import java.io.BufferedReader;
import java.io.IOException;
import java.io.InputStreamReader;
import java.net.Socket;

public class RequestProcessor implements Runnable {
	Socket s;
	
	public RequestProcessor(Socket s) {
		this.s = s;
	}
	
	public void run() {
		try {
			BufferedReader reader = new BufferedReader(new InputStreamReader(s.getInputStream()));
			String line = "";
			
			while(true) {
				line = reader.readLine();
				if(line == null)
					break;
				System.out.println(line);
			}
			System.out.println("Processing finished");
		}
		catch (IOException e) {
			System.out.println(e.getLocalizedMessage());
		}
	}
}
